[vlc-commits] commit: VLCKit: Use name instead of $1 and $2 in Pre-Compile script. ( Pierre d'Herbemont )
git at videolan.org
git at videolan.org
Mon Mar 15 13:29:50 CET 2010
vlc | branch: master | Pierre d'Herbemont <pdherbemont at free.fr> | Mon Mar 15 13:03:38 2010 +0100| [b9606f5d8b5916f0bce13f5d02bd5abdff659bfb] | committer: Pierre d'Herbemont
VLCKit: Use name instead of $1 and $2 in Pre-Compile script.
> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=b9606f5d8b5916f0bce13f5d02bd5abdff659bfb
---
projects/macosx/framework/Pre-Compile.sh | 14 ++++++++------
1 files changed, 8 insertions(+), 6 deletions(-)
diff --git a/projects/macosx/framework/Pre-Compile.sh b/projects/macosx/framework/Pre-Compile.sh
index 62bcf6f..de9da9d 100644
--- a/projects/macosx/framework/Pre-Compile.sh
+++ b/projects/macosx/framework/Pre-Compile.sh
@@ -140,14 +140,16 @@ vlc_install_object() {
# @param src_lib source library to copy to the destination directory
# @param dest_dir destination directory where the src_lib should be copied to
vlc_install() {
+ local src_dir=$1
+ local src=$2
local dest_dir=$3
local type=$4
if test "$use_archs" = "no"; then
- vlc_install_object "$VLC_BUILD_DIR/$1/$2" "$dest_dir" "$type" $5
+ vlc_install_object "$VLC_BUILD_DIR/$src_dir/$src" "$dest_dir" "$type" $5
else
if test $type = "data"; then
- vlc_install_object "$main_build_dir/$1/$2" "$dest_dir" "$type" $5
+ vlc_install_object "$main_build_dir/$src_dir/$src" "$dest_dir" "$type" $5
else
fatdest="$dest_dir/$2"
shouldUpdateFat="no"
@@ -160,19 +162,19 @@ vlc_install() {
mkdir -p "$tmp_dest_dir"
for arch in $ARCHS; do
- local src="$VLC_BUILD_DIR/$arch/$1/$2"
+ local src="$VLC_BUILD_DIR/$arch/$src_dir/$src"
# Only install if the new image is newer than the one we have installed.
if ((! test -e ${fatdest}) || test ${src} -nt ${fatdest} ); then
vlc_install_object "$src" "$tmp_dest_dir" "$type" "$5" "" ".$arch"
- local dest="$tmp_dest_dir/$2.$arch"
+ local dest="$tmp_dest_dir/$src.$arch"
if test -e ${dest}; then
- if ! test "$dest_dir/$2" -nt "${dest}"; then
+ if ! test "$dest_dir/$src" -nt "${dest}"; then
shouldUpdateFat="yes"
fi
objects="${dest} $objects"
else
- echo "Warning: building $2 without $arch"
+ echo "Warning: building $src without $arch"
fi
fi
done;
More information about the vlc-commits
mailing list